%perl_module Digest-Nilsimsa 0.06 7

Summary:	Compute Nilsimsa signatures.
Group:		Applications/CPAN
License:	distributable
URL:		http://search.cpan.org/author/VIPUL/%{pkgname}-%{version}/
Source0:	http://search.cpan.org/CPAN/authors/id/V/VI/VIPUL/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root

%description
A nilsimsa signature is a statistic of n-gram occurance in a piece of
text. It is a 256 bit value usually represented in hex. This module is
a wrapper around nilsimsa implementation in C by cmeclax.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING MANIFEST README
%{perl_vendorarch}/Digest/Nilsimsa.pm
%{perl_vendorarch}/auto/Digest/Nilsimsa
%{perl_man3dir}/Digest::Nilsimsa.3pm*

%changelog
* Fri May  2 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
